package com.thebrokenrail.energonrelics.config;

import net.minecraft.item.Item;
import net.minecraft.item.Items;

public class HardcodedConfig {
    public static final int POWER_RANGE = 64;

    public static final int ENERGON_LIGHT_ENERGY_REQUIRED = 5;

    public static final long SOLAR_PANEL_MAX_ENERGY_OUTPUT = 50;

    public static final long BATTERY_CHARGE_RATE = 40;

    public static final int REACTOR_TIME = 2400;
    public static final int REACTOR_ENERGY_OUTPUT = 250;

    public static final int DEFENSIVE_LASER_RANGE = 28;
    public static final long DEFENSIVE_LASER_IDLE_ENERGY_REQUIRED = 32;
    public static final long DEFENSIVE_LASER_FIRE_ENERGY_REQUIRED = 64;

    public static final long BLOCK_BREAKER_ENERGY_REQUIRED_IDLE = 25;
    public static final long BLOCK_BREAKER_ENERGY_REQUIRED_BREAK = 36;
    public static final int BLOCK_BREAKER_TIME = 48;
    public static final Item BLOCK_BREAKER_ITEM = Items.IRON_PICKAXE;

    public static final long LIGHTNING_ROD_ENERGY_OUTPUT = 40000;
    public static final double LIGHTNING_ROD_CHANCE = 0.00005d;
    public static final int LIGHTNING_ROD_COOLDOWN = 5;

    public static final long FORCEFIELD_PROJECTOR_ENERGY_REQUIRED = 64;
    public static final int FORCEFIELD_MAX_SIZE = 12;

    public static final long HOLOGRAPHIC_SKY_ENERGY_REQUIRED = 15;
}