package com.thebrokenrail.energonrelics.mixin;

import com.thebrokenrail.energonrelics.energy.core.util.EnergyTicker;
import net.minecraft.world.World;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(World.class)
public abstract class MixinWorld {
    @Shadow
    public abstract boolean isClient();

    @Inject(at = @At("TAIL"), method = "tickBlockEntities")
    public void tickBlockEntities(CallbackInfo info) {
        if (!isClient()) {
            EnergyTicker.tick((World) (Object) this);
        }
    }
}
